package cn.ibizlab.api.rest.extensions;

import cn.ibizlab.core.extensions.service.NotifyCoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class NotifyCoreResource {

    @Autowired
    NotifyCoreService notifyCoreService;

    @RequestMapping(method = RequestMethod.GET,value = "/sendDingTalkMsg")
    public ResponseEntity<Boolean> sendDingTalkMsg(@Validated @RequestParam String tid, @RequestParam String userId){
        return ResponseEntity.status(HttpStatus.OK).body(notifyCoreService.sendDingTalkMsg(tid,userId));
//        return ResponseEntity.status(HttpStatus.OK).body(notifyCoreService.sendDingTalkMsg("6c2e3779dd159ceba3e70e7502f4cf6f","760fd9aae5bb9475cb4e18b80d689ea7"));
    }

    @RequestMapping(method = RequestMethod.GET,value = "/sendWeChatMsg")
    public ResponseEntity<Boolean> sendWeChatMsg(@Validated @RequestParam String tid,@RequestParam String userId){
        return ResponseEntity.status(HttpStatus.OK).body(notifyCoreService.sendWeChatMsg(tid,userId));
//         return ResponseEntity.status(HttpStatus.OK).body(notifyCoreService.sendWeChatMsg("8ddcea1f2a9743f159bd765133443684","760fd9aae5bb9475cb4e18b80d689ea7"));
    }

    @RequestMapping(method = RequestMethod.GET,value = "/sendAliEMail")
    public ResponseEntity<Boolean> sendAliEMail(@Validated @RequestParam String tid,@RequestParam String userId){
        return ResponseEntity.status(HttpStatus.OK).body(notifyCoreService.sendAliEMail(tid,userId));
//        return ResponseEntity.status(HttpStatus.OK).body(notifyCoreService.sendAliEMail("5f4c72e0eb1eb3cf5b57c319a021d5b9","760fd9aae5bb9475cb4e18b80d689ea7"));
    }

    @RequestMapping(method = RequestMethod.GET,value = "/SendAliSms")
    public ResponseEntity<Boolean> SendAliSms(@Validated @RequestParam String tid,@RequestParam String userId){
        return ResponseEntity.status(HttpStatus.OK).body(notifyCoreService.SendAliSms(tid,userId));
//        return ResponseEntity.status(HttpStatus.OK).body(notifyCoreService.SendAliSms("Vufzr1HEvhntkIOK8HkT_poUTLAmpwSbjzK0ncOkSuw","18677074230"));
    }

}
